New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FreeBSD 10 and HHVM 3.3.1 #4189

Closed
ghost opened this Issue Nov 9, 2014 · 7 comments

Comments

Projects
None yet
4 participants
@ghost

ghost commented Nov 9, 2014

Are there any plans to fix the FreeBSD 10?

http://www.rasyid.net/2014/10/13/compile-hhvm-3-3-freebsd-10/

@paulbiss paulbiss added the build label Nov 9, 2014

@paulbiss

This comment has been minimized.

Show comment
Hide comment
@paulbiss

paulbiss Nov 9, 2014

Contributor

It's something we'd certainly be interested in doing. I don't think we have any testing around FreeBSD 10 yet to avoid regressing.

Contributor

paulbiss commented Nov 9, 2014

It's something we'd certainly be interested in doing. I don't think we have any testing around FreeBSD 10 yet to avoid regressing.

@denji

This comment has been minimized.

Show comment
Hide comment
@denji

denji Nov 11, 2014

Contributor

After stabilization OSX, support BSD would be close to stable. Prepared patches needed to work without a hard landing on Linux.

The only thing that we have not tested this work HHVM's JIT compiler to LLVM.
For a language Hacklang you will have to modify the module fsnotify (API supports Linux and Darwin).

Contributor

denji commented Nov 11, 2014

After stabilization OSX, support BSD would be close to stable. Prepared patches needed to work without a hard landing on Linux.

The only thing that we have not tested this work HHVM's JIT compiler to LLVM.
For a language Hacklang you will have to modify the module fsnotify (API supports Linux and Darwin).

@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost Nov 19, 2014

@denji I see HHVM 3.4 released. This issue fix 3.4?

ghost commented Nov 19, 2014

@denji I see HHVM 3.4 released. This issue fix 3.4?

@denji

This comment has been minimized.

Show comment
Hide comment
@denji

denji Nov 19, 2014

Contributor

@00002 At the moment they are tested only under Linux, if you allocate testing buildbot or Jenkins machine freebsd maybe FB will look at the problem. As I said above, the implementation fsnotify of the hack language is not completed for *BSD, but completed for Darwin-OSX and GNU-Linux.

At the moment HHVM only works well with GNU-Linux and GCC (JIT) or GCC+LLVM (JIT).

Contributor

denji commented Nov 19, 2014

@00002 At the moment they are tested only under Linux, if you allocate testing buildbot or Jenkins machine freebsd maybe FB will look at the problem. As I said above, the implementation fsnotify of the hack language is not completed for *BSD, but completed for Darwin-OSX and GNU-Linux.

At the moment HHVM only works well with GNU-Linux and GCC (JIT) or GCC+LLVM (JIT).

@fredemmott

This comment has been minimized.

Show comment
Hide comment
@fredemmott

fredemmott Nov 19, 2014

Contributor

Externally allocated freebsd machines would not make us likely to look at this sooner. It's extremely unlikely that we will look at any other operating systems until Windows and OSX are stable.

Contributor

fredemmott commented Nov 19, 2014

Externally allocated freebsd machines would not make us likely to look at this sooner. It's extremely unlikely that we will look at any other operating systems until Windows and OSX are stable.

@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost Nov 19, 2014

I just don't understand something information, because I'm not a native english speaker. Later on [maybe after about 1 year], when HHVM and FreeBSD support becomes properly mature. so if I'm wrong about this, sorry.

ghost commented Nov 19, 2014

I just don't understand something information, because I'm not a native english speaker. Later on [maybe after about 1 year], when HHVM and FreeBSD support becomes properly mature. so if I'm wrong about this, sorry.

@Orvid

This comment has been minimized.

Show comment
Hide comment
@Orvid

Orvid Jul 27, 2016

Contributor

3.3 is ancient, closing.

Contributor

Orvid commented Jul 27, 2016

3.3 is ancient, closing.

@Orvid Orvid closed this Jul 27, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment